Theme
Extend Video
POST
https://www.kkiai.com/luma/generations/{task_id}/extend
Official documentation: https://docs.lumalabs.ai/docs/video-generation
Request Parameters
Authorization
Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.
Example: Authorization: Bearer ********************
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
task_id | string | Required | The task id of the video task to be extended |
Header Parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
Content-Type | string | Required | application/json | |
Accept | string | Required | application/json | |
Authorization | string | Required | Bearer {{YOUR_API_KEY}} |
Body Parameters (application/json)
| Parameter | Type | Required | Description |
|---|---|---|---|
user_prompt | string | Required | Required. User input prompt/problem description, the main input for generating content |
expand_prompt | boolean | Required | Optional. Whether to enable prompt optimization |
image_url | string | Required | Optional. Reference image URL or Base64 encoded |
image_end_url | string | Required | Optional. Keyframe image URL or Base64 encoded |
notify_hook | string | Required |
Request Example
json
{
"user_prompt": "add cat",
"expand_prompt": true
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/luma/generations/4665a07c-7641-4809-a133-10786201bb56/extend' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"user_prompt": "add cat",
"expand_prompt": true
}'Response
🟢 200 Success
Response Body
| Parameter | Type | Required | Description |
|---|---|---|---|
code | integer | Required | |
message | string | Required | |
request_id | string | Required | |
data | object | Required | |
└ task_id | string | Required | |
└ task_status | string | Required | |
└ created_at | integer | Required | |
└ updated_at | integer | Required |
Response Example
json
{
"id": "749d328e-4fd0-43a8-8c89-32394d60da69",
"prompt": "",
"state": "pending",
"queue_state": null,
"created_at": "2024-12-22T14:48:39.947851Z",
"batch_id": "",
"video": null,
"video_raw": null,
"liked": null,
"estimate_wait_seconds": null,
"thumbnail": null,
"last_frame": null
}